#pragma once

#include <QWidget>
#include <QTabWidget>

#include <RobotAPI/libraries/armem/core/DataMode.h>
#include <RobotAPI/libraries/armem/client/query/Builder.h>

#include "SnapshotSelectorWidget.h"


namespace armarx::armem::gui
{

    class QueryWidget : public QWidget
    {
        Q_OBJECT
    public:

        QueryWidget();

        armem::DataMode dataMode() const;

        armem::client::QueryInput queryInput();


    public slots:

    signals:

        // ToDo:
        // void queryChanged(armem::query::data::Input query);


    private slots:

    signals:



    private:

        QCheckBox* _dataCheckBox;
        QTabWidget* _tabWidget;

        SnapshotSelectorWidget* _snapshotSelectorWidget;

    };

}
